MPC - Media Player Classic

What is Media Player Classic?

Media Player Classic (MPC) - one of the most powerful, configurable multimedia players for Windows operating system since. First release was in July 2002. It was made by Hungarian developer known as Gabest, he's also an author of some well-known DirectShow filters.

Media Player Classic is unique, because it doesn't copy the path of other players to the top. It has another values and is more powerful than anything else. It has traditional comfortable Windows Media Player 6.4 interface packed with modern features. As a result, MPC - it's a powerful media player with support of many formats, stand-alone DVD player in just one small file.

About this help

Maybe it's normal that Gabest works on Media Player Classic and other projects and doesn't have time to make some documentation. Unfortunately, most good free programs have this disease. Yes, the interface is simple enough and is intuitively clear unlike most other skinnable players :) But it has many unique and new options which are unknown to a new user. So this manual tries to solve this problem.

It was written by me from scratch. I didn't use someone's materials, I took only my own experience and experience of some other people in forums. You'll ask me "Why have you done this?", I'll tell, that it was interesting for me and may be a great help to those, who never used MPC. As for me, MPC was ideal player for my needs and fits my conceptions on making software. Unfortunately, those who may think the same way haven't seen this program, it is not well-known in Russia and some other countries. So how couldn't I give one more chance for such a great program to live?..

I also wanted to warn all users of these materials: some options were not mentioned here. It means that I don't know its meaning or didn't have a chance to try it because of some needed hardware or something else.

Some additional info:

  • All hotkeys, mentioned here are default ones. You can change them the way you want.
  • Some screenshots may differ with current MPC appearance.
  • This version (1.0.84) is actual for Media Player Classic 6.4.8.4.
  • If you want to use these materials any other way except from learning info on Media Player Classic, write to the author.
  • I hold no responsibility for any results of using this manual except of knowledge level increasing.

New versions

If you have more useful info about MPC or can help me in any way, please send it to me - YDY. If you've found any problems in this English translation, please send feedback to the translator - Fireball.

©2003-2005 YDY | Translated by Fireball


Great Features of MPC

  • Plays files of any format if your system has corresponding DirectShow decoder.
  • Works as full functional DVD player without any additional filters!
  • Support new variants of MPEG2: PS/TS/PVA.
  • Works correctly with all OGM and MKV functions.
  • Allows you optionally scale, move and rotate image.
  • Support of programmable pixel shaders effects!
  • Online subtitles base support.
  • Built-in web-server with the ability of remote player control.
  • Very convenient way of fullscreen control.
  • Very small CPU and RAM load, which allows you to use MPC on old computers.
  • Small size compared to other media players, program is one executable file.
  • If you have Macromedia Flash ActiveX plug-in, you can watch swf movies and even use rewind in them!
  • If you have RealPlayer9 or RealOnePlayer installed, MPC can play Real Media!
  • If you have QuickTime installed, it plays QuickTime files!
  • Al versions prior to 6.4.7.5 could play Smacker/Bink files with some libraries.
  • It has integrated audiostreams switcher.
  • The most powerful subtitles engine.
  • If you have a TV-tuner or VIVO videocard, MPC allows you to watch or even capture video!
  • Plays AudioCD (on Win2k/XP)
  • You can save decoded stream (E.G. MPEG2 from protected DVDs).
  • Allows you to connect additional soundstream in any supported format for dubbing. (E.G. if you have film in original language which you don't know and you have a translated stream, you can connect it)
  • Favorites with ability to save film position.
  • Supports playlists in MPCPL (MPC's own playlist format), M3U, PLS and ASX formats.
  • You can connect DirectShow plug-ins without installing them into your system!
  • You can use subtitles with any supported video format.
  • Supports WinLirc and uICE control systems.
  • Greatly configurable hotkeys.
  • Configuration can be saved both in registry or ini file.
  • Opens incomplete AVIs.
  • Can play films using a resolution which differs from the default system's one.
  • Has many internal filters: MPEG Video, MPEG Audio, VCD, XCD, FLIC, DVD, SHOUTCast and others.
  • Supports command line parameters.

Except of usual functions, Media Player Classic has great amount of unique features which will be described here.

DVD playback mode

Media Player Classic can be a fully functional DVD player. Beginning from 6.4.6.0 version it has internal MPEG2 decoder, from 6.4.6.3 - MPEG Layer-1,2,3, from 6.4.7.4 - supports AC3/LPCM decoding, 6.4.7.8 - DTS, and from 6.4.8.0 version it decodes AAC. So if you want to watch DVD, you need only Media Player Classic. It can use sound output through S/PDIF. Supports all DVD navigation functions.

Integrated MPEG-splitter

Beginning from 6.4.7.9 version, MPC has new internal MPEG-splitter. It can read program/transport/elementary streams, extract MPEG1/MPEG2 video, AC3/DTS/MPEG/LPCM audio, CVD/SCVD/DVD subtitles. Streams can be switched using filters menu (Play/Filters/...). Also works with new variants of MPEG2: PS/TS/PVA.

Integrated OGG-splitter

Beginning from 6.4.7.0 version Media Player Classic has its own OGG-splitter, which has much better integration with program, ability to use CoreVorbis libraries and exact positioning.
Nevertheless, you need special libraries to play OGG Vorbis sound.

Render your video using Direct3D

To my mind, it's the most interesting feature of this really unique player. Beginning from 6.4.6.6 version, if you have videocard with Direct3D support, Media Player Classic can draw video as a texture on a surface and render it in 3D, it's similar to the technology which is used in 3D games. As a result, DirectX bug which causes an incorrect scaling is solved, quality of image is greatly increased when scaling. It works only in VMR7 (renderless) or VMR9 (renderless) modes.

Since 6.4.8.3 3D-rendering was greatly enhanced with new features: now there is pixel shaders support. This gave ability to implement image rotation at will, different filtration modes while scaling (bilinear, bicubic) and some interesting effects. You can use built-in effects or create your own.

But to be sure that you'll have all this enhanced functionality, your videocard need hardware support of pixel shaders (v2.0 or higher recommended)

Flash animations playback

Macromedia Flash animations is extremely popular now. There's a great amount of animations in this format. But it has the only player made by Macromedia which doesn't support jumping through the file. Maybe it was made intentionally by the producer. And sometimes you have to wait while different advertisments in the file end in order to see really useful content.

But you don't have to wait with Media Player Classic! Beginning from 6.4.3.0 version MPC can play swf files if you have Macromedia Flash ActiveX plug-in installed. You can download it here or from official Macromedia site). You don't loose any functionality of Flash movie, but now you can jump to any part of file!

Smacker/Bink playback

In versions 6.4.6.6 to 6.4.7.5 Media Player Classic could play Smacker (*.smk) and Bink (*.bik) files. These formats made by Rad Tools, are usually used for different movies in games. Both formats provide quite high compression rate and image clearness, but Smacker works only with 256 colours palette, while Bink is a full-colour format. You can download free for personal use instruments to encode videos in this format on this site. But there was only one very primitive native player for this format, which had no rewind, fast forward options, it couldn't scale images.

Unfortunately, Gabest had to remove support of this format from player, but you still can find old versions on the net :) To play such files you need MPC 6.4.7.5 and smackw32.dll, binkw32.dll libraries which are often available with most games. Media Player Classic can play these files even if they're self-playing *.exe files.

Real Media playback

From the very first release Media Player Classic can play Real Media files. Certainly your system needs special codec installed. There's special distributive called Real Alternative which contains all needed files. What do you need it for? You may say that you already have good enough default player... But Media Player Classic can use subtitles, it's quick, powerful, doesn't send anything to Real Networks site.

If you experience any problems with Real Alternative, you can install RealOne Player and Media Player Classic will use only codecs.

Quick Time playback

Beginning from 6.4.3.0 version, Media Player Classic can play Quick Time files. It also need codecs, so you need to install Quick Time Player or, the best variant, QuickTime Alternative. And you receive even much more advantages while using MPC for playing Quick Time than in case of Real Media. Standard Quick Time player is huge, slow, uncomfortable (maybe Mac users have another thoughts about it), scales image fullscreen worser than MPC.

"Live" source playback

Media Player Classic can work with different input and capture devices, e.g. TV-tuners and VIVO videocards. You only need correctly installed WDM driver for particular device. So you can not only watch the input stream but capture both video and sound in AVI or OGM. It also can compress it with any installed encoder "on flight". Sometimes you need to capture audio and video separately, if you have sound and video synchronizing problems in other programs.

Connect DirectShow filters directly...

Without installing them into your system! Since version 6.4.5.0 you can do this in MPC, it detects CLSID and types automatically. It's very convenient for using player on CD: end-user doesn't need to install all filters and codecs into his system - just run configured MPC.

You can also add filters of system registered types into a chain.

Playback of incomplete AVI-files

As you all know, we just can't believe anything we see on a... If you excuse me, I must be on my work... So all AVI-files contain index at the end of file and you can't open file without it in a usual way (it needs to be regenerated). Since 6.4.5.0 MPC can open such files and sometimes you can jump to any place of this file. It's very convenient if you want to preview incomplete file which you are still downloading from the net.

Since 6.4.7.3 version internal AVI-splitter was completely rewritten. Now it performs quick reindexation of file, usually it takes several seconds (~30sec on a 700Mb Mpeg4 film). But then you have ability to rewind or fast forward from any position in a film, as in any normal AVI.

Configuration saving

Media Player Classic allows you to save configuration both in registry and ini file. Using ini files is very comfortable if you burn MPC together with film on CD - all configuration will be imported from ini.

Integrated audiostreams switcher

Media Player Classic has internal audiostreams switcher, this is very comfortable when you have file with multiple audiostreams (e.g. in different languages). It also supports downsampling from 48000 to 44100 Hz for audiocard which don't support 48000 Hz, supports audio delay if you have problems with audio/video synchronizing and can remap multichannel sound.

Image size correction

Media Player Classic allows you to change image size with keeping original proportions or without, its position. It's very convenient if you have low-quality MPEG-4 rip of anamorphic DVD which has improper proportions. These defects can be easily solved with the help of MPC.

Subtitles engine

Media Player Classic has very powerful subtitles engine which is based on VobSub). Subtitles look very clear, smooth and can be used with any video which is supported by MPC.

Save decoded stream!

Since 6.4.4.0 you can save decoded stream, which came through all filters. This allows you to save decoded MPEG2 while playing protected DVDs.

Supports WinLirc and uICE control

These are control systems which allow you to manipulate your computer with the help of remote controls of any home audio/video devices. You need a simple device for this, you even can do it with your own hands. If it's interesting for you, visit WinLirc and uICE sites.

View films in different resolution!

As you all know, the best video quality can be obtained while playing without scaling. For a film with a width of 640 pixels the best resolution will be 640х480. Media Player Classic can switch resolution when you go in fullscreen mode.

This is true for CRT-monitors but in case of LCD-monitors it's better to let player to scale image to the normal screen resolution, because MPC has better scaling interpolation quality than LCD monitors.


Media Player Classic: interface

At the first glance it seems that MPC has no difference from Windows Media Player 6.4. But everything is not as simple as it seems to be :) In menus and options' tabs you can see plenty of functions, some of them are unique. That's the main window after opening the film:

Search bar

The most trivial search bar used to navigate the film or audiofile. If you press Shift button, you will seek by keyframes.

Control buttons

Control buttons look the same way as in Windows Media Player 6.4, but some of them have other functions. They are listed from left to right:

  • Play opened file
  • Pause
  • Stop playback
  • Previous file or fragment
  • Decrease playback speed
  • Increase playback speed
  • Next file or fragment
  • Frame by frame playback (One frame forward)

Informational panel

MPC shows info on the film or audio file which is taken from tags. If there is no info available, this panel is hidden.

Status bar

Different useful info is shown in the status bar of player. It shows file icon in normal mode, player's state, already played and general file duration (or number of frames for Macromedia Flash), sound icon (no sound/mono/stero). There's also info about current user's actions: if you change frame size, its relative position, scale and aspect ratio are displayed in the status bar. This info will disappear in ~ 4 seconds.

Sound regulation

A button allows you to turn sound on/off unexpectedly and volume control is not so radical and allows you to make it louder or more quiet :)


"File" menu

Open File... - opens standard WMP 6.4 open file dialog.

Yes, it is not so comfortable as it could be, but you also can type URL here and open additional sound stream which will be available under Play -> Filters -> Audio Switcher menu and can be used as a translation.

Open DVD... - opens DVD with options set in DVD/OGM tab.

Open Device - opens "live" source (TV-tuner, different video capturing device, web-cameras and other ). Read more detailed info on this mode "Live" mode.

Open CD-ROM - if CD drive has Audio CD or (S)VCD inside, you'll see a list of all tracks on the disk. On some systems it may be slow. If you don't need it, put a mark at "Hide CD-ROMs menu" options in a Player tab.

Close - closes current file or playlist.

Save As... - option which I couldn't test yet. It must save decoded or streaming data on disk.

Save Image... - saves current frame as bmp or jpg. This also can be done with the help of hot keys.

Load Subtitle - loads subtitles file.

Save Subtitle - saves subtitles file after resynchronization.

Subtitle Database - opens list with options to access online subtitle database. Subtitles can be downloaded or uploaded to the server. Server's name is set in options.

Properties - shows file properties: size, resolution, tags and other useful info. Tries to show info on streams in file (codec, bitrate, etc.). There will be Resources tab with files list for containers that allow inserted files (Matroska, DSM). Files can be opened for preview or saved on disk.

Utils - shows the list of additional utilits. There is only DSM Converter for now.

Exit - this unique feature can't be described verbally by a sane person :)


"View" menu

Caption Menu - enable/disable main menu.

Seek Bar - enable/disable seek bar.

Controls - enable/disable play/stop/pause buttons bar.

Information - enable/disable file info (from tags).

Statistics - enable/disable additional statistics.

Status - enable/disable status bar.

Subresync - enable/disable subtitles' resynchronizing window.

Playlist - enable/disable playlist editor.

Presets - opens a list of interface presets.

Full Screen - toggles fullscreen mode.

Zoom - you set player window size in this submenu.

Video Frame - allows you to tune videoframe options.

Pan&Scan - allows you to configure pan, scan, scaling and displacement of an image.

Always On Top - opens always on top options list.

Options... - opens player's configuration window.

"Presets..." submenu

Minimal - the most minimalistic & ascetic interface. You have nothing except the image. All actions are performed through a context menu.

Compact - you'll see only menu and control buttons.

Normal - shows all interface elements except statistics.

"Video Frame" submenu

You can set video frame size and the way it's displayed on the screen here.

Half Size, Normal Size, Double Size - select videoframe's size: half, original, double.

Stretch To Window - stretches image to the window's size.

Touch Window From Inside - means that the whole frame will be seen even if the window's size was changed. If you have aspect ratio not 4:3, but 16:9, the image will be scaled so that the width will fit your screen without changing aspect ratio. If you have something like 3:4, the image will be scaled and you'll also see the whole frame.

Touch Window From Outside - does something opposite to "Touch Window From Inside". If you have film with aspect ratio not 4:3 but e.g. 16:9, you'll see not the whole frame - left and right parts of it will be outside your screen and you'll see only the central part. Default image proportions are preserved.

Keep Aspect Ratio - keep film aspect ratio (doesn't work with "Stretch To Window").

Override Aspect Ratio - list of standard video proportions (4:3, 5:4, 16:9) for quick image correction.

Correct Monitor/Desktop AR Diff -correct difference in monitor and desktop aspect ratio. Useful for those, who use non-standard resolutions (not 4:3) and want to watch films with original aspect ratio normally. (1280x768,1280x1024 and others)

"Pan&Scan" submenu

You may configure frames' size, aspect ratio, position in this submenu.

Increase/Decrease Size - changes image size, keeping current aspect ratio.

Increase/Decrease Width - changes image width (may not work with some codecs).

Increase/Decrease Height - changes image hight (may not work with some codecs).

Move Right/Left/Up/Down - moves image right, left, up, down.

Edit... - opens window where you can set your own scale, aspect ratio in presets:

Standard and user's presets are above "Edit..." button in "Pan&Scan" submenu.

Reset - resets the size and position of the frame to the default values.

"On Top" submenu

Allows you to configure always on top behaviour.

Never - option's disabled.

Always - player will be always situated over all other windows.

While Playing - player will be on top only if playing some files.


"Play" menu

Play/Pause, Stop - These are usual items of all players.

Frame Step - video playback by one frame. If you press "Right" or "Right" arrows on keyboard, MPC will play one frame forward or backwards.

Go To... - opens such a window:

This window can be used for jumping to a certain position in a film. This can be used in two ways:

  • You can input in an upper field time code. You can use any separator except numbers. One number sets milliseconds, two - seconds and so on. E.G. if you set 12.14.0, you'll jump to the position of 12 minutes and 14 seconds.
  • Set frame number in a lower field and framerate with coma as separator.

Decrease/Increase Rate - decreases or increases playback speed.

Filters - shows list of filters which are used for playback of this file. Its contents depends on a particular film:

Shaders - shows a list of available pixel shaders programs and the item to edit these programs.

Audio, Subtitles - shows list of available audiostreams and subtitles.

Volume - gives you opportunity to control volume.

After Playback - opens list with two actions which can be executed after the end of playback: close the program or turn off the computer. These actions can be combined.


"Navigate" menu

This menu was made to let you navigate files in formats which support this. For now they are DVD and OGM (MKV in future).

Previous, Next - go to the previous or next episode.

Jump To... - you can see a list of all episodes and chapters on DVD.

Audio/Subtitle Language - list of available audiotracks and subtitles. The default language can be set on a DVD/OGM tab.

Video Angle - change videostream.

Title/Root/Subtitle/Audio/Angle/Chapter Menu - quick access to the corresponding DVD menu. Works only if these menus were enabled while DVD premastering.

MPC menu structure for subtitles and language selection, chapters and video angle depends on particular DVD or OGM file.


Work with Favorites

To follow the fashion (or the traditions of WMP 6.4), Media Player Classic has a feature of "Favorites". There are such control items as: "Add to Favorites...", "Organize Favorites..." and the list of added links. For example:

If you select Favorites → Add to Favorites... during the playback of some file or DVD in the main or context menu, you'll see such window:

Here you can type the name of each item which will be in "Favorites" menu. The name of file or DVD is used by default. Here you also can put a mark "Remember position", in this case position of playback in this file or DVD is saved also.

If there are many links, you can rearrange them. You need to select Favorites → Organize Favorites... item in menu.

You also can rename these links, reorder or delete them. There are also separate tabs for files and DVDs.


Playlist

I must say that playlist management in Media Player Classic is very basic and lacks some features. Though, it still works. In order to open playlist window select View → Playlist menu item or press Ctrl+7.

This window can be docked to other borders or separated outside main program's window.

To add new elements into list select File → Open File... in main menu or drag&drop file in playlist window. Rearrangement of files is made by dragging of elements by your mouse.

There are some items for playlist management in context menu.

Open - plays selected file.

Remove From List - deletes item from the list.

Copy path to clipboard - copies path to the file into clipboard.

Save Playlist - saves playlist into one of supported formats.

Sort by label - sorts elements by their labels.

Sort by path - the same, but by their full paths.

Randomize - randomizes their order.

Restore - undoes "Randomize".

The playlist is saved between MPC sessions.

In Live mode configurations are added to the playlist as usual files but these options can be saved only in MPC's own playlist format .mpcpl


"Player" tab

"Player" tab is nearly the same as in Windows Media Player 6.4.

Open options - you can select here if files are opened always in a new copy of MPC or in the same existing window.

Launch files in fullscreen - starts playing files fullscreen.

Title Bar - options which determine program's title bar.

  • Display Full Path - displays full path to the file which is being played;
  • File Name Only - shows only filename;
  • Don't prefix anything - displays only program's name in title bar.

Always on top - player is always on top of all windows;

Tray Icon - you don't see MPC in taskbar, but it has an icon in tray;

Show controls in fullscreen for - allows you to set time in seconds during which the control panel, statistics and info will be shown while in fullscreen. If you set this value to 0, panel will be automatically hidden when you take your mouse's cursor away, when you set -1, the panel will be always available.

In autohide mode panel shows when you move your mouse's cursor over the invisible panel's edge. There is exclusion for DVD menu: panel shows only when you move your mouse to the lower screen edge. It was made to let you use navigation buttons of DVD menu.

Exit fullscreen at the end of playback - player automatically exits fullscreen mode at the end of playback. Some people can find it useful.

Remember last window position - remembers last player position.

Remember last window size - remembers window size since the last program's start.

Store settings in .ini file - player stores settings in .ini file with the name as a program file, not in registry. it's useful if you want to create autoplaying CD with already configured MPC on it.

Keep history of recently opened files - keeps history of the last opened files. Can be turned off if for higher security.

Hide CD-ROMs menu - if you have Audio or VideoCD in your drive, MPC tries to recognize it when opening "File" menu, it can cause some slowdown. You can turn File "Open CD-ROM" menu item off to get rid of this effect.

Process priority above normal - starts MPC with a higher priority.


"Formats" tab

You can set file types which will be played by Media Player Classic by default here.

You can set interface type for any file type. For example, .snd files can be played both through DirectShow and QuickTime. The Shockwave type is for Flash files only.

When you select type from the list in "File Extensions" group, you'll see standard extensions of this file type. You can add your own custom extensions there of corresponding file types. To save all changes - press "Set" button. "Default" button deletes all user-filled extensions and resets list to the original state.

"Video", "Audio" and "All" buttons select video, audio and all extensions in the list.

Real-Time Streaming Protocol handler (for rtsp://... URLs) group defines the way data which goes through rtsp protocol will be handled - RealMedia, QuickTime or DirectShow. Look file extension first try to open with a default way for particular extension and if extension is unknown, it tries to open the way it's set above.

Media Player Classic in Windows XP can be registered as a default video, music, DVD, Audio CD player when you put storage medium in a drive. Select appropriate options in "Autoplay" section.

For now MPC officially supports such multimedia formats (those which have internal decoders are marked as blue):

  • AIFF Format Sound - standard sound format on Macintosh.
  • AU Format Sound - standard sound format on Macintosh.
  • Audio File - Windows standard sound format (RIFF).
  • CD Audio Track - not a format, but a link on Audio CD track.
  • Dirac Video file - files in Dirac format (drc)
  • DirectShow Media file - files in DSM format (dsm, dsv, dsa, dss)
  • DVD Audio File - DVD sound (ac3, dts).
  • DVD File - DVD formats: video (vob) and navigation files (ifo).
  • DVD2AVI Project File - rare format used in DVD2AVI.
  • FLIC file - very old animation format fli, flc).
  • Indeo Video File - file compressed by Intel Indeo.
  • Matroska Audio File - Matroska container, sound (mka).
  • Matroska Video File - Matroska container, video (mkv).
  • MIDI File - MIDI sound file, Windows standard (mid, rmi).
  • MP3 Format Sound - strangely enough, but it means MPEG Layer-3 audio :).
  • MPEG Audio file (MPEG) - sound in MPEG Layer-1 or 2 (mpa, mp2, m2a).
  • MPEG Media (MPEG) - video in MPEG1 or MPEG2 format (mpg, mpv, m2v).
  • MPEG4 Audio File - standard MPEG4 sound format (aac).
  • MPEG4 file - extended version of official MPEG4 container (mp4).
  • Ogg Media File - alternative media container based on Ogg (ogm).
  • Ogg Vorbis Audio file - modern audio format Ogg Vorbis (ogg).
  • Other - special part for custom file types.
  • Playlist File - different types of playlist files (m3u, pls, asx).
  • Quicktime file - standard format for video, sound on Macintosh (mov, qt).
  • Real Audio file - Real Audio sound (ra, ram).
  • Real Media file - Real Audio and Real Video containers (rm, smi).
  • RoQ Media file - video format, used in Quake 3 and some other games.
  • Shockwave Flash File - Macromedia Flash animation (swf).
  • Video File - standard Windows video container (avi).
  • Windows Media Audio File - Windows Media sound (wma).
  • Windows Media File - Windows Media video (wmv, asf).

Usually, if you have appropriate DirectShow filters, MPC can play any multimedia format. You only need to add needed extension in Other or to any similar data type with "DirectShow" option.


"Keys" tab

You can configure hotkeys and mouse actions in Media Player Classic.

Command - name of MPC internal command.

Modifier - key modifier: Ctrl, Alt, Shift, Ctrl-Alt and others.

Key - main action key. Usual digital or alphabetic, special (Enter, Esc, functional and others) keys and mouse buttons can be determined.

Type - you can set method of key scanning: ASCII scancode or Windows virtual keyboard (VIRTKEY).

ID - info field, shows the message controller code.

Mouse - allows you to control application with your mouse buttons, wheels.

App Command - allows you to control MPC by sending system commands from external applications.

RemoteCmd - code which is given by WinLIRC or uICE as a reaction on pressing remote control buttons.

RepCnt - repeat counter

With the help of "Reset Selected" button you can reset selected hotkeys to default.

WinLIRC and uICE checkboxes turn on appropriate remote control support system. You can receive more info about them by clicking on their names in.


"Logo" tab

I really don't need to say anything - image shows everything :)

In "Internal" mode you can select bult-in logos and in "External" - some file in .bmp, .jpg, .gif, .png.


"Web Interface" tab

You can setup web-interface on this tab. Since 6.4.6.8, Media Player Classic has small internal web-server. It's functionality is not very wide for now and I hardly can imagine where can it be used. It may be useful as a remote control on the LAN. Also this server is used to work with resources in new containers (MKV, DSM). Server can work with CGI.

Listen on port - sets the port which player will be listening to and waiting for commands. After enabling it on 13579 port, you can open it with localhost:13579, 127.0.0.1:13579 or your_ip:13579 (for example, 192.168.0.1:13579).

Launch in web browser... - launches default system browser and opens its server in it. Standard interface looks like this:

When you select command and press "Go!" button, player executes this operation. There are also two links "The file browser!" and "The media player interface!". The firs opens file browser, where you can select file to play and the second - improved web-interface for player control.

Important! If you already used web-interface in previous versions of MPC, to see all changes in new version you have to completely reload page. (Internet Explorer, Mozilla, Firefox users press Ctrl-F5).

Enable compression - enables GZIP data compression to decrease traffic.

Allow access from localhost only - security option, if enabled, allows connections only from machine where MPC web-server was launched.

Print debug info - enables debug info on pages (HTTP-headers, cookies and other...)

Serve pages from: - folder which will be a root for server. "Browse..." button allows you to select this folder and "Deploy..." saves standart web-server pages in this folder.

Default page - the first page to be loaded when requsting root directory of the server. Default ones are index.html and index.php. You can change it to something like default.html.

CGI Handlers - CGI interpreters (Common Gateway Interface). You can set paths to these handlers for scripts with known extensions in format .ext=path. E.G. .php=<path to the PHP interpreter>.


"Playback" tab

You can tune playback here.

Volume - sets playback volume. Has no practical purpose, because you can tune volume in main window.

Balance - also a bit old feature, but still can be useful.

Playback - this settings group is the same as in WMP 6.4.

Play # times - how many times will be a file played.

Repeat forever - infinite repeat of a file.

Rewind when done playing - no need to explain this option for those, who know English, does what it says.

Output - group which allows you to tune video output.

Auto Zoom - automatically zooms video image to the value set on the right.

Change fullscreen resolution - as you all know, the best image quality can be received if you view film in the same resolution as it was encoded, so it doesn't need to be mapped. For example, the optimal resolution for the film with the width of 640 pixels is 640x480. MPC can change resolution automatically when you enter fullscreen mode.

Use worker thread to construct the filter graph - it means that filters are loaded separately from the program. It's recommended to remain this option turned on, as it greatly reduces program load time.

Report pins which fail to render - outputs verbose info on threads which couldn't be played by MPC. In this case a window as on screenshot appears and you can see info on threads and try to find codec in Internet.

If it turned off, you'll see only short message in status bar.

Auto-load audio files - automatically loads sound in any supported format from the file with same name as video. Useful if you want to watch film which has audio and video streams in different files, e.g. after capturing with option "Audio to wave" enabled.

Auto-load subtitles - automatically loads subtitles with the same name as videofile. Works only if one of "Renderless" modes is on.


DVD/OGM tab

You can configure DVD and OGM options on this tab.

Location of the DVD drive or the "VIDEO_TS" folder - determines location of DVD drive or the place where the default "VIDEO_TS" is situated. If it is set to "Default" MPC searches for DVD in drives automatically.
Unlike most other programs, MPC can play DVD even if *.IFO and *. VOB files are situated in directories with random names.

Preferred language for DVD Navigator and OGM Splitter - determines the default language for formats which support this feature. For now they are DVD (full support) and OGM (except menu). You can set the menu, subtitles and sound separately.

Automatically set speaker count for the ivideo ac3 decoder - you can automatically set the quantity of speakers for WinDVD AC3 decoder.


"Output" tab

You can setup audio and video output here.

In DirectShow Video group you select renderer for all filetypes except RealMedia and QuickTime.

  • System Default - default videorenderer for DirectShow. It is turned on if all other variants are impossible. It is the same as VMR7 (windowed) on Windows XP.
  • Old Renderer - default videorenderer for Windows 9x/ME/2K. Depending on the window visibility and videocard features this variant dynamically switches GDI, DirectDraw or Overlay.
  • Overlay Mixer - always renders image on overlay. Usually only YUV formats are available, but they are direct - without conversion to RGB. This is the fastest method and has 100% working "mirrored" TV-OUT.
  • WMR7 (windowed) - Windows XP default renderer. Is very stable and a bit slower than Overlay mixer. Uses DirectDraw and tries to work in overlay.
  • WMR9 (windowed) - available only if DirectX 9 is installed. Has the same as VMR7 (windowed) abilities but never uses overlay, so it is slower than VMR7 (windowed).
  • WMR7 (renderless) - the same as VMR7 (windowed), but with MPC Allocator-Presenter plug-in for subtitles output. "Mirrored" video in overlay WON'T WORK!!!. It's recommended to use 'True Color' with it.
  • WMR9 (renderless) - the same as VMR9 (windowed), but with MPC Allocator-Presenter plug-in for subtitles output. "Mirrored" video in overlay MAY WORK (or it may not). It's recommended to use 'True Color' with it.
  • Null - connected for any video type and sends all frames in nowhere. It can be useful to save CPU resources if you need only sound (you'll see NO VIDEO).
  • Null (unc[ompressed]) - the same as normal Null-renderer but can be connected only to uncompressed video formats.

RealMedia Video group allows you to select RealMedia renderer.

  • System Default - RealMedia own renderer. SMIL scripts will work but without interactivity. Uses DirectDraw and launches in overlay.
  • DirectX 7 - RealMedia's output is postprocessed by Allocator-Presenter plug-in in VMR7 (renderless).
  • DirectX 9 - RealMedia's output is postprocessed by Allocator-Presenter plug-in in VMR9 (renderless).

In QuickTime Video group you can select renderer for QuickTime.

  • System Default - QuickTime native renderer. Slows down if you change the frame size or if it is partially closed by other window. If overlay is not possible, returns to GDI.
  • DirectX 7 - QuickTime output is postprocessed by Allocator-Presenter plug-in in VMR7 (renderless).
  • DirectX 9 - QuickTime output is postprocessed by Allocator-Presenter plug-in in VMR9 (renderless).

In WMR7/9 (renderless) & DirectX 7/9 group allows you to set video processing options.

  • Use regular offscreen plain surfaces - video surface is treated as usual surface outside the screen.
  • Use texture surfaces and render video in 2d - video surface is a texture, for copying and stretching uses 2D functions. Requires a videocard which supports 32bit RGBA textures with sizes which are not 2 multipliers at least with video resolution.
  • Use texture surfaces and render video in 3d - video surface is a texture which consists of two triangles in 3D. Antialiasing can dramatically slow down rendering process.
  • Resizing - in 3D mode you MPC can use different filters when scaling the image. The most simple and fast is Nearest Neighbor but it gives the worst quality. Bilinear is quite quick and gives good quality, there is variant which uses pixel shaders. Bicubic method has the best quality, but for realtime image processing requires powerful enough video card. There are three variants of bicubic interpolation, the difference is sharpness level (0,6 - the most sharp one).

DirectShow Audio - allows you to select sound output device. You can use System Default or one of Direct Sound variants. There are two variants which are common on all systems:

  • Null Audio Renderer (any) - there is no sound, no CPU load. Useful if you need only video.
  • Null Audio Renderer (uncompressed) - the same as above but for use only with uncompressed audio formats (PCM/IEEE and other).

Lock back-buffer before presenting... - option which allows you to fix synchonization problems with VMR9. May not work on some videocards.


"Filters" tab

You can turn on/off internal filters here.

If an internal filter marked here, it will be used for files playback. If it's not selected, the external system's default one will be used.

Source filters - filters made to detect and read different formats (splitters, parsers, etc.).

AVI - filter used to split AVI streams. Main features: has better speed compared with a system one, can open incomplete files.

CDDA (Audio CD) - filter for Audio CD playing.

CDXA (VCD/SVCD/XCD) - filter used to play VideoCD, Super VideoCD and eXtended VideoCD (they write info without recovery data, so a usual 700 MB disk can handle 800 MB of info.

DirectShow Media - splitter for DirectShow Media (DSM) container.

DTS/AC3 - AC3 and DTS parser - only for opening these formats, not decoding.

DVD Video Title Set - allows you to open DVD Video and use its navigational system.

DVD2AVI Project File - DVD2AVI project decoder. This format is rare enough, known among people who recode DVD Videos into MPEG4.

FLI/FLC - decoder for very old animation format.

Matroska - filter used to open new container Matroska. Has better quality than the official one :)

MPEG Audio - parser for MPEG Layer 1,2,3 (mpa, mp2, mp3 etc.) sound format

MPEG PS/TS/PVA - filter used to open MPEG files, including new variants of this format.

Nut - experimental splitter for Nut container.

Ogg - filter used to split Ogg (OGM) streams. The only difference from original - better integration with MPC.

RealMedia - filter for opening RealMedia files.

RoQ - Quake 3 and some other games' video decoder.

SHOUTcast Receiver - filter used to receive sound through streaming protocol SHOUTcast.

Transform filters - these are filters that decode sound and video. Their names show the format they decode, the only non-trivial format is PS2 Audio - it's sound from Sony Playstation 2 (there is no seek in these files). All these formats except RealVideo and RealAudio are integrated into the player, so you can watch watch DVDs without need to have any commercial programs (WinDVD, PowerDVD, NVDVD etc.) installed.

There was a Smacker & Bink decoder in versions prior to 6.4.7.5, which allowed to play Smacker/Bink video & audio.


"Audio Switcher" Tab

You can configure here an integrated filter - audio switcher.

Audio switcher is used to work with files which contain two or more audio tracks.It can be AVI, OGM, VOB, MKV and some other. If audio switcher is turned off, all audio tracks will be played simultaneously. Audio switcher is here for playing only one track and for switching between them.

Enable built-in audio switcher filter... - enables this filter :).

Down-sample to 44100 Hz - decreases samplerate to 44100 Hz, this is useful if you have a soundcard which doesn't support samplerates higher than 44100 Hz.

Audio time shift - you choose a shift of sound relatively to video. It's very useful feature if the sound goes faster or slower than video. Since 6.4.6.4 audio time shift can be configured by +/- on the part of keyboard which contains only numbers (right one) with the step of 10 ms.

Enable custom channel mapping - it can be used if you need to change distribution of sound chanels through you speakers. For example, distribution of stereo on 4 speakers looks this way:

Mixing of 5.1 channels in 2 front speakers (I don't have 5.1 soundcard and can't test it, if you can do this - write to me) must be set in such a way:

As MPC gives you great abilities, there also a lot of other variants you may use.


Audio Decoders tab

You can tune integrated AC3, DTS and AAC audiodecoders.

Output sample format for the MPEG Audio, LPSM, AC3 Decoders - allows you to select audiodecoder output type. The left ones has lesser quality but higher compatibility, the right ones are less compatible but produce better sound quality.

Normalize - normalizes sound - brings it to the max possible level. Usually it's 0 db, if you use a higher level, it may lead to sound distortions.

Boost - sometimes sound level in films is lower than you need. This option lets you boost sound to a needed level.

Decode to speakers - allows you to set the number of destination speakers. E.G. You have 5.1 AC3 file and want to listen it on stereo system.

LFE - enable low frequency channel (subwoofer).

S/PDIF - no decoding, sound is directly transmitted to S/PDIF (if you want to connect it to receiver).

Dynamic Range Control - dynamic range control also known as Dynamic Range Compression. It lowers the level of the loudest sounds and makes most quiet sounds louder - after such a manipulation great dynamic range of AC3 can be "fitted" in dynamic range of low-quality 16bit sound cards.

Downmix to stereo - multichannel sound will be downmixed to stereo (E.G. 6 channels -> 2 channels, 4 -> 2.


"Mpeg Decoder" tab

You can tune internal MPEG decoder here.

Enable planar YUV media types (VY12, I420, IYUY) - will try to use colorspaces which will give you the best performance.

Always display forced subtitles - If have some Chinese or Japanese DVD and can't turn off subtitles through menu - turn this option off. You will be able to see them again only if you turn again this option on.

Deinterlacing method - method of deinterlacing - the best quality gives you the "Blend" option, but this is the slowest one. You can leave it "Auto".

Brightness, Contrast, Hue, Saturation - no need in comments for people who know English.

Y: 16-235 -> 0-255 - extends the range of brightness from 16-235 to 0-255. There are many DVDs which are compressed with limitation of brightness (I really don't know why). This option allows you to solve this problem.


"Overrides" tab

You can connect external filters on this tab (already installed on your system or from files).

This tab opens very wide abilities to the user. You can directly connect filters' files without need to install them in your system. This allows you to burn configured MPC with all needed codecs on CD, so you can watch movies on any computer with Windows installed.

Add filter... - adds filter to the list. Opens such a window:

It's the list of all installed filters on your system. It is used to select them if, for example, you want to change their merit or to block them to solve some conflicts. The Browse... button allows you to select and connect a filter directly from a file.

Remove - removes filter from the list.

Prefer/Block/Set merit - you set the way the filter works here. "Prefer" - program prefers this filter, it doesn't depend on the system priority. "Block" - simply blocks filter. "Set merit" - allows you to select filter's priority. The higher number - the higher priority - there is more chance that this filter is used.

Up/Down - changes filters' order. Doesn't affect their priority.

Add Media Type... - allows you to select the global type of data for selected filter (Video, Audio, Midi, etc., or CLSID type).

Add Sub Type... Sets a certain type (subtype) for the previous option. Usually it's codec's, container's FOURCC or their CLSID.

Delete - deletes type or subtype.

Reset List - resets list to the default condition.


"Subtitles" tab

You can set main subtitles options there.

Override Placement - by default MPC places subtitles on the 50% position to the left border (in the center) and 90% from the top. If you want change it, turn this option on and input your values.

Number of subpictures to buffer ahead - default value is 3. 0 turns buffer off, but it's not recommended, can cause slowdowns and other unpleasant effects. Requires file reopening.

Maximum texture resolution - Media Player Classic uses DirectX7 or higher (VMR7 or VMR9) rendering capabilities for subtitles. In fact, text subtitles are converted into a picture which is drawn on the video image by hardware. That's why speed of subtitles' processing depends on CPU power. If CPU is weak, lower texture resolution. It also requires file reopening.

Round up to power of two - if you disable this mode, the usage of video memory and the load of the chanell between the system memory and video memory will be lowered on high resolutions. Old videocards don't support this mode or can have problems with texturizing 32bit subtitles on systems with 16bit colour depth. In versions prior to 6.4.8.3 this option was always turned on.


"Default Style" Tab

You can configure subtitles' default style on this tab.

This tab has plenty of options, so you can flexibly tune subtitles.

Font - allows you to select font and it's parameters. In a list you can select charset, needed for non-latinbased (is it a right word?) chars.

Spacing - space between characters.

Angle z,° - angle of text rotation.

Scale x,% - horizontal scalability.

Scale y,% - vertical scalability.

Border - allows you to configure text borders.

Outline - character outline.

Opaque box - nontransparent rectangular - surface where text is drawn.

Border width - you can set border width here.

Shadow depth - shadow width.

Screen Alignment & Margins - sets space between text and screen borders (in pixels), subtitles position. If you want to view film on TV you may need to set larger values.

Position subtitles relative to the video frame - positions subtitles relatively to the video frame, not the main player window. It has three states. If this option is not defined for user styles, this value will be inherited by them.

Colors & Transparency - sets colors and opacity, allows you to change primary and secondary colours, borders, shadows. The colourful squares are buttons, lines to the right give opportunity to select transparency for that element.

Link alpha channels - transparency of all elements will be the same and will change simultaneously.


"Database" tab

For now you only can set the name of the online subtitles database server.

Online database allows to upload, find and download subtitles for the recognized film in semiautomatic mode. System was made for distributed network of servers(?). If you want to make a mirror, talk to Gabest.


"Tweaks" tab

You can configure some advanced options here.

Don't use XP-theming on the player controls - forbids use of Windows XP themes, even if they've been turned on in system. Requires program restart.

Use the WM ASF reader for Windows Media files - allows you to seek ASF and WMV files faster, but if file is incomplete, you can't seek it at all.

Jump distances - seeking in player can be made from keyboard or remote control. There 3 variants of seeking: small, normal and large. By default they are: 1000, 5000 and 20000 ms. "Default" resets these intervals to standard.


"Live" Mode

There is special mode in MPC which is called "Live". In this mode Media Player Classic "plays" video and sound from capture devices - TV-tuners, web-cameras, VIVO-videocards and another. This mode works with any devices, which have installed and working WDM drivers on your system.

To turn this mode on, go to File → Open Device. There will be a window like one on the picture below with the list of devices installed on your system:

Select proper device, country code (for correct sygnal type) and press ОК. There must be a picture coming from your card. Channel switching is done by buttons of next/previous file in playlist.

If you have Terratec Cinergy or other capture card with the sound output independent from sound card, audio device field can be left blank. Unfortunately, channel tuning is available only through the WDM-driver interface now.

Videocapturing

MPC also allows you to capture video & audio in AVI, OGG Media, Matroska or DirectShow Media. You need to open capturing panel for this (View → Capture or Ctrl-8)

Video group

You can select input device, framerate, colorspace, size of frames here. In case of manual setting of framesize don't forget to press Set button in order to save settings. Because of some problems the capture size is not saved between sessions. This would be fixed, i hope.

When image size is more than 288 lines, deinterlace filter is loaded for preview (YUY2/UYVY/YV12/I420/IYUV colorspaces supported).

If video capture device offers only one format (320x240 for example), MPC adds some other standard resolutions to this list.

Audio group

You can select mixer input here (TV-tuner is usually connected to Line-In or Aux), sound options and format.

Output group

In order to capture video and sound you need to turn on Record Video and Record Audio options. Preview checkboxes are for turning on real-time preview of material.
Don't forget that with some audio configurations an unwanted effect of reverberation may appear because of slowing down audio, which is going through the program. You need to turn off preview.

You can select for audio and video codecs which are installed in your system. Codec options are set in fields near the list of codecs or in the window which appears after the selection of codec (it depends on the certain codec).

In case of problems with capturing in AVI (framedrop) you can try to increase the V/A buffers quantity (50 by default), but this increases memory load. Output Audio Separately checkbox can help you if the sound is not synchronized with video.

Note: because of some OGM DirectShow codec's problems, capturing in this format may be incorrect.


Subtitles resynchronization

Highly specialized function, useful for those, who like to watch movies with original (English, Russian, Chinese) sound and subtitles in their native language. I haven't used this function a lot, so description is short and incomplete.

After double click on list's line, MPC goes to the frame from which displaying of this text begins. Active text is marked red.

Context menu differs in different cells. There are three common items:

Separator - inserts separator

Duplicate - duplicates line and all its attributes. It can be used for creating improved subtitles: when two actors speak simultaneously and their texts should be styled in different way.

Delete - deletes line.

When you click on "Time" and "End" cells these items appear:

Current - sets current position in film for the selected line.

Original - returns original time of selected text.

Reset - unknown feature :).

In "Style" cell you can setup style of each line. List of all available styles is in context menu, where you also can edit them. There are tabs for each style which you can configure separately.

"Font" and "CharSet" cells are here only to provide info on font and charset of the line. They can be different, e.g. text in Russian, French and Chinese would have their own charsets and symbols with identical codes but different outline will be drawn correctly. This is possible only if your system supports Unicode (Win2k/XP).

There are two options in "Unicode" cell, where you can turn it on or off for this line.

"Layer" column allows you to manage text layer. There are two items in context menu: "Decrease" and "Increase", which decrease or increase layer number for current line. Layer with larger number will be drawn ON the layers with smaller numbers.

Actor - it may be a comment to set the actor who says this text or this feature is still not implemented.

Effect - allows you to select effects from the context menu, though it still doesn't work (?).

What can give us these features? On the first screenshot (upper half) you can see as I have divided texts of two actors and set different styles for them (Default and Yellow), on the lower half you can see how was it before. That's what I received:

Great, yeah? I also like it :)

Now we only need to save results. Styles saving works only for (Advanced) SubStation Alpha (*.ssa, *.ass) for any other subtitles formats they will be saved into separate file with the name of subtitles and *.style extension.


DSM Converter

DSM converter was made for transformating files from almost all supported containers to new one - DSM (Direct Show Media). Doesn't work with Quick Time, converted RealMedia files sometimes fail to play.

Don't forget about the context menu while working with converter, because almost all its functions (operations on files, streams, resources) are available only this way. Each resource type has its own context menu: you can set tags for audio and video streams, add files to the resources folder and set chapters.


Pixel shaders editor

Beginning from version 6.4.8.3 MPC supports pixel shaders. It gave opportunity to implement support of image rotation, but it also gives us ability to make interesting effects on the image.

There is a small editor for shader programs.

Program is compiled in realtime and the result is shown in the lower part of the window. If the compile is successful, the effect is immediately applied to the video. You can change and save any of the example programs or make a new one.

Shader functions require DirectX 9 Renderless mode, usage of 3D output surfaces and a videocard with pixel shaders support (version 2 or higher is recommended).


Command line parameters

Some of Media Player Classic options can be implemented through command lineparameters. Info on these options can be seen if you type mplayerc.exe /? (or mplayerc.exe /h, or mplayerc.exe /help) in your command prompt.

Usage: mplayerc.exe "path" [options]

"path" - file or folder to open (you can use masks).

/dub "file name" - Load additional sound file for dubbing.

/sub "file name" - Load subtitles.

/filter "file name" - Load DirectShow filters from libraries (*.ax or *.dll, masks are usable).

/dvd - Launches MPC in DVD mode, optional "path" parameter sets DVD folder.

/cd - Load all AudioCD or (S)VCD tracks, optional "path" parameter sets path to CD.

/open - Load file but don't start playback.

/play - Load file and play it.

/close - Close after the end of playback (works only with /play parameter).

/shutdown - Shutdown computer at the end of playback.

/fullscreen - Launch in fullscreen mode.

/minimized - Launch in minimized state.

/new - Open new copy of MPC.

/add - Adds "path" to the playlist, can be used together with /open and /play.

/regvid - Register video formats.

/regaud - Register sound formats.

/unregvid - Unregister video formats.

/unregaud - Unregister sound formats.

/start ms - Start playing from "ms" position (ms = milliseconds).

/fixedsize w,h - Start player with the fixed window size.

/nofocus - unknown option. If you know its meaning, please e-mail to the author or translator.


There are different questions and answers on this page. There is also interesting information which may not be noticed while reading this help.

Q. When I set a fullscreen mode by doubleclicking on playback window, the film is paused. How can I change this behaviour?
A. Go to "Hotkeys" tab in options menu and for "Play/Pause" action in "Mouse" column change "Left-click" to "None".

Q. After installing Real Alternative version 1.30+ player refuses to play Real Media find! What can I do?
A. Go to "Formats" tab in options menu and select "Realmedia" interface for "Real Media file", "Real Audio file" and "Real Script File" types.

Q. How can I quickly change sound delay?
A. Sound delay can be easily changed with a 10 ms step by pressing grey "+" and "-.

Q. How can I open all files in a folder?
A. If you enter some directory with the help of "Open File.." dialog and don't select any files (filename field is empty) and press "Open" button, all files will be added to the playlist, so you need to delete unsupported ones from playlist to prevent MPC's crash while opening some *.jpg or *.txt files.

Q. Sometimes when I open AVI-files, MPC shows such window:

What does it mean and what is it for?
A. This dialog is a signal, that this file has incorrect value of frames interleaving. If you write this file on CD, you will have problems when seeking the file, so it would be great if you correct it (for example with VirtualDub). If you are not interested in this info, select "Don't show this dialog again".

Q. When trying to run MPC for Win9x I get an error message like "Failed to run program. File MPLAYERC.EXE is linked with missing component DDRAW.DLL:DirectDrawCreateEx" (I haven't seen English version of this error message, so if you've seen it, please post me its text). What does it mean?
A. It means that installed version of DirectX doesn't have necessary function. Problem can be solved by installing newer version of DirectX version 8 or higher.